### Method

# Soup Multipart append_form_file

#### Declaration [src]

    void
    soup_multipart_append_form_file (
      SoupMultipart* multipart,
      const char* control_name,
      const char* filename,
      const char* content_type,
      GBytes* body
    )

#### Description [src]

Adds a new MIME part containing `body` to `multipart`

Uses “Content-Disposition: form-data”, as per the HTML forms specification.

#### Parameters

`control_name`

  Type: `const char*`

  The name of the control associated with this file.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`filename`

  Type: `const char*`

  The name of the file, or `NULL` if not known.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`content_type`

  Type: `const char*`

  The MIME type of the file, or `NULL` if not known.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`body`

  Type: `GBytes`

  The file data.

  The data is owned by the caller of the method.